> ## Documentation Index
> Fetch the complete documentation index at: https://docs.garden.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Supported Assets

Retrieve a list of all assets supported across different blockchain networks, including symbols, addresses, and decimals.


## OpenAPI

````yaml GET /assets
openapi: 3.1.0
info:
  title: Garden API
  version: 2.0.0
  description: API specification for various endpoints.
servers:
  - url: https://{environment}.garden.finance/v2
    variables:
      environment:
        default: api
        enum:
          - api
          - testnet.api
security:
  - garden-app-id: []
paths:
  /assets:
    get:
      summary: Get all the supported assets on the given chain.
      parameters:
        - in: query
          name: from
          required: false
          schema:
            $ref: '#/components/schemas/Asset'
          description: '**(Optional)** Asset filter.'
      responses:
        '200':
          description: List of assets.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetsResponse'
components:
  schemas:
    Asset:
      oneOf:
        - type: string
          title: mainnet
          description: Mainnet
          enum:
            - arbitrum:wbtc
            - ethereum:wbtc
            - arbitrum:ibtc
            - base:cbbtc
            - bitcoin:btc
            - bnbchain:btcb
            - botanix:btc
            - citrea:cbtc
            - ethereum:cbbtc
            - ethereum:usdt
            - hyperevm:ubtc
            - litecoin:ltc
            - monad:mon
            - monad:usdc
            - solana:cbbtc
            - solana:sol
            - solana:usdc
            - starknet:wbtc
            - tron:usdt
        - type: string
          title: testnet
          description: Testnet
          enum:
            - arbitrum_sepolia:wbtc
            - ethereum_sepolia:wbtc
            - alpen_signet:btc
            - alpen_testnet:sbtc
            - alpen_testnet:usdc
            - arbitrum_sepolia:ibtc
            - arbitrum_sepolia:seed
            - arbitrum_sepolia:usdc
            - base_sepolia:cbltc
            - base_sepolia:cbxrp
            - base_sepolia:ibtc
            - base_sepolia:usdc
            - base_sepolia:usdt
            - base_sepolia:wbtc
            - bitcoin_testnet:btc
            - bnbchain_testnet:wbtc
            - citrea_testnet:cbbtc
            - citrea_testnet:cbtc
            - citrea_testnet:usdc
            - citrea_testnet:usdt
            - citrea_testnet:wbtc
            - citrea_testnet:wcbtc
            - ethereum_sepolia:usdc
            - litecoin_testnet:ltc
            - monad_testnet:cbbtc
            - monad_testnet:usdc
            - solana_testnet:cbbtc
            - solana_testnet:sol
            - solana_testnet:usdc
            - starknet_sepolia:wbtc
            - tron_shasta:usdt
            - tron_shasta:wbtc
            - xrpl_testnet:xrp
    AssetsResponse:
      allOf:
        - $ref: '#/components/schemas/Response'
        - type: object
          properties:
            result:
              type: array
              items:
                $ref: '#/components/schemas/AssetVerbose'
    Response:
      type: object
      properties:
        status:
          type: string
          enum:
            - Ok
            - Error
        error:
          type: string
          nullable: true
    AssetVerbose:
      type: object
      title: Asset Information
      properties:
        id:
          $ref: '#/components/schemas/Asset'
        name:
          $ref: '#/components/schemas/AssetName'
        chain:
          $ref: '#/components/schemas/ChainWithId'
        icon:
          type: string
        htlc:
          $ref: '#/components/schemas/HTLCSchema'
        token:
          $ref: '#/components/schemas/TokenSchema'
        decimals:
          type: integer
          example: 8
        min_amount:
          type: string
        max_amount:
          type: string
        price:
          type: integer
          example: 1
    AssetName:
      oneOf:
        - type: string
          title: mainnet
          description: Mainnet
          enum:
            - Wrapped Bitcoin:WBTC
            - Binance Bitcoin:BTCB
            - Bitcoin:BTC
            - Botanix Bitcoin:BTC
            - Citrea Bitcoin:cBTC
            - Coinbase Wrapped Bitcoin:cbBTC
            - Litecoin:LTC
            - Monad:MON
            - Solana:SOL
            - Tether USD:USDT
            - USD Coin:USDC
            - Unit Bitcoin:uBTC
            - iBTC:iBTC
        - type: string
          title: testnet
          description: Testnet
          enum:
            - Wrapped Bitcoin:WBTC
            - Alpen:BTC
            - Bitcoin:BTC
            - Citrea Bitcoin:CBTC
            - Coinbase Wrapped Bitcoin:cbBTC
            - Coinbase Wrapped Litecoin:cbLTC
            - Coinbase Wrapped XRP:cbXRP
            - Litecoin
            - Seed:SEED
            - Signet BTC:sBTC
            - Solana:SOL
            - Tether USD
            - Tether USD:USDT
            - USD Coin:USDC
            - Wrapped Citrea Bitcoin:WCBTC
            - XRP
            - iBTC:iBTC
    ChainWithId:
      oneOf:
        - type: string
          title: mainnet
          description: Mainnet
          enum:
            - evm:42161
            - bitcoin
            - evm:1
            - evm:143
            - evm:3637
            - evm:4114
            - evm:56
            - evm:8453
            - evm:999
            - litecoin
            - solana:101
            - starknet:23448594291968334
            - tron:728126428
        - type: string
          title: testnet
          description: Testnet
          enum:
            - evm:421614
            - alpen_signet
            - bitcoin
            - evm:10143
            - evm:11155111
            - evm:5115
            - evm:8150
            - evm:84532
            - evm:97
            - litecoin
            - solana:103
            - starknet:393402133025997798000961
            - tron:2494104990
            - xrpl
    HTLCSchema:
      type: object
      description: Always **null** for UTXO-based chains. **Example:** Bitcoin.
      properties:
        address:
          type: string
        schema:
          $ref: '#/components/schemas/HTLCSchemaName'
    TokenSchema:
      type: object
      description: >-
        Always **null** for native assets with no address. **Example:** ETH on
        Ethereum.
      properties:
        address:
          type: string
        schema:
          $ref: '#/components/schemas/TokenSchemaName'
    HTLCSchemaName:
      type: string
      title: htlc
      enum:
        - evm:htlc_erc20
        - evm:htlc
        - solana:htlc
        - starknet:htlc_erc20
        - solana:htlc_spltoken
    TokenSchemaName:
      type: string
      title: token
      enum:
        - evm:erc20
        - starknet:erc20
  securitySchemes:
    garden-app-id:
      type: apiKey
      name: garden-app-id
      in: header
      description: >-
        If you do not yet have an app ID, please follow these
        [steps](/api-reference/setup).

````